## org.jfree.data.xy
Interface IntervalXYDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  AbstractIntervalXYDataset, CategoryTableXYDataset, CombinedDataset, DefaultIntervalXYDataset, DefaultTableXYDataset, DynamicTimeSeriesCollection, HistogramDataset, SimpleHistogramDataset, SubSeriesDataset, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XIntervalSeriesCollection, XYBarDataset, XYIntervalSeriesCollection, XYSeriesCollection, YIntervalSeriesCollection

    public interface IntervalXYDataset

extends XYDataset

An extension of the `XYDataset` interface that allows a range of data to be defined for the X values, the Y values, or both the X and Y values. This interface is used to support (among other things) bar plots against numerical axes.

Method Summary
`java.lang.Number` `getEndX(int series, int item)` Returns the ending X value for the specified series and item.
`double` `getEndXValue(int series, int item)` Returns the end x-value (as a double primitive) for an item within a series.
`java.lang.Number` `getEndY(int series, int item)` Returns the ending Y value for the specified series and item.
`double` `getEndYValue(int series, int item)` Returns the end y-value (as a double primitive) for an item within a series.
`java.lang.Number` `getStartX(int series, int item)` Returns the starting X value for the specified series and item.
`double` `getStartXValue(int series, int item)` Returns the start x-value (as a double primitive) for an item within a series.
`java.lang.Number` `getStartY(int series, int item)` Returns the starting Y value for the specified series and item.
`double` `getStartYValue(int series, int item)` Returns the start y-value (as a double primitive) for an item within a series.

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getStartX

    java.lang.Number getStartX(int series,
                               int item)

  Returns the starting X value for the specified series and item.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The value.

### getStartXValue

    double getStartXValue(int series,
                          int item)

  Returns the start x-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The start x-value.

### getEndX

    java.lang.Number getEndX(int series,
                             int item)

  Returns the ending X value for the specified series and item.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The value.

### getEndXValue

    double getEndXValue(int series,
                        int item)

  Returns the end x-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The end x-value.

### getStartY

    java.lang.Number getStartY(int series,
                               int item)

  Returns the starting Y value for the specified series and item.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The value.

### getStartYValue

    double getStartYValue(int series,
                          int item)

  Returns the start y-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The start y-value.

### getEndY

    java.lang.Number getEndY(int series,
                             int item)

  Returns the ending Y value for the specified series and item.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The value.

### getEndYValue

    double getEndYValue(int series,
                        int item)

  Returns the end y-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The end y-value.